Package: org.gradle.nativeplatform

## [Java] Interface NativeExecutableSpec

- org.gradle.nativeplatform.NativeComponentSpec

- All Superinterfaces:
    ComponentSpec, PlatformAwareComponentSpec, ApplicationSpec, TargetedNativeComponent, NativeComponentSpec

  Definition of a native executable component that is to be built by Gradle.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeComponentSpec` | `getBaseName, setBaseName`
    `interface TargetedNativeComponent` | `targetBuildTypes, targetFlavors`
    `interface PlatformAwareComponentSpec` | `targetPlatform`